Skip to main content
GET
/
data
/
projects
/
{projectId}
/
queries
/
folders
List Query Folders
curl --request GET \
  --url https://partner.peaka.studio/api/v1/data/projects/{projectId}/queries/folders \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://partner.peaka.studio/api/v1/data/projects/{projectId}/queries/folders"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://partner.peaka.studio/api/v1/data/projects/{projectId}/queries/folders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "name": "Reports",
      "path": "/Reports",
      "parentId": null,
      "createdAt": "2025-01-15T10:30:00Z"
    },
    {
      "id": "550e8400-e29b-41d4-a716-446655440001",
      "name": "Monthly",
      "path": "/Reports/Monthly",
      "parentId": "550e8400-e29b-41d4-a716-446655440000",
      "createdAt": "2025-01-15T10:31:00Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Use the Authorization header with the value 'Bearer ' to authenticate. Partner API Keys have full access; Project API Keys are limited to their project scope. Learn more: https://docs.peaka.com/api-reference/authentication

Path Parameters

projectId
string
required

ID of the Project

Response

200 - application/json

Folders listed successfully

Response containing a list of query folders

items
object[]

List of folders in the project